Google SERP API
すべてのGoogleサーフェスは1つのエンドポイントでアクセスできます。engineパラメータを変更することで、Search、Maps、Jobs、Shopping、Trends、Scholarなどを切り替えられます。
エンドポイント
Section titled “エンドポイント” GET https://serp.shifter.io/v1?engine=<engine>&api_key=YOUR_API_KEY
APIキーはapi_keyクエリパラメータとして渡します。キーはパネルのSERP API内で確認できます。
共通パラメータ
Section titled “共通パラメータ”これらはほとんどのGoogleエンジンで使用できます。各エンジンにはそれぞれ固有のパラメータもあり、各ページに記載されています。
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | yes | SERP APIキー |
engine | string | yes | 対象のGoogleサーフェス(下表を参照) |
q | string | usually | 検索クエリ(一部のphoto/authorエンドポイントでは不要) |
location | string | no | 自由形式の位置情報(例: "Chicago, Illinois") |
gl | ISO code | no | 国フィルタ(例: us、de) |
hl | ISO code | no | インターフェース言語(例: en、es) |
device | desktop | mobile | tablet | no | シミュレートするデバイス |
start | integer | no | ページネーションのオフセット |
num | integer | no | 1ページあたりの結果数 |
engine | 返される内容 |
|---|---|
google | 広告、スニペット、PAA、ナレッジグラフを含むオーガニックウェブSERP |
google_autocomplete | 部分クエリに対するサジェスト |
google_images | 画像SERP |
google_news | 日付とソース付きのニュース |
google_shopping | 商品リスティング |
google_product | 単一商品の詳細 |
google_maps | Maps上のスポット、レビュー、写真 |
google_maps_reviews | あるスポットのすべてのレビュー |
google_maps_photos | あるスポットのすべての写真 |
google_jobs | 求人リスティング |
google_jobs_listing | 単一求人の詳細 |
google_trends | 時系列の関心度 |
google_scholar | 学術論文 |
google_scholar_author | 著者プロフィール |
google_scholar_cite | 整形済みの引用 |
google_scholar_profiles | 著者の発見 |
google_finance | 株価・市場データ |
google_events | ローカルイベント |
google_play | Play StoreのアプリケーションBookMovie |
google_reverse_image | ある画像を掲載しているページ |
google_local_services | ローカルサービス提供者 |
エンドポイントページ
Section titled “エンドポイントページ” Google Search engine=google
Google Maps engine=google_maps
Google Maps Reviews engine=google_maps_reviews
Google Maps Photos engine=google_maps_photos
Google Product engine=google_product
Google Jobs engine=google_jobs
Google Jobs Listing engine=google_jobs_listing
Google Autocomplete engine=google_autocomplete
Google Trends engine=google_trends
Google Scholar engine=google_scholar
Google Scholar Author engine=google_scholar_author
Google Scholar Cite engine=google_scholar_cite
Google Scholar Profiles engine=google_scholar_profiles
Google Finance engine=google_finance
Google Events engine=google_events
Google Play engine=google_play
Google Reverse Image engine=google_reverse_image
Google Local Services engine=google_local_services